import { FileFsRef } from '@vercel/build-utils';
import type { BuildOptions, File, Lambda } from '@vercel/build-utils';
import { Route } from '@vercel/routing-utils';
import { JsonOptions } from './typescript';
interface BuilderOutput {
    watch?: string[];
    output: Record<string, Lambda | File | FileFsRef>;
    routes: Route[];
}
interface NuxtBuilderConfig {
    maxDuration?: number;
    memory?: number;
    tscOptions?: JsonOptions;
    generateStaticRoutes?: boolean;
    includeFiles?: string[] | string;
    serverFiles?: string[];
}
export declare function build(opts: BuildOptions & {
    config: NuxtBuilderConfig;
}): Promise<BuilderOutput>;
export {};
