"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const build_utils_1 = require("@vercel/build-utils");
const consola_1 = __importDefault(require("consola"));
const utils_1 = require("./utils");
async function prepareCache({ workPath }) {
    utils_1.startStep('Collect cache');
    const cache = {};
    for (const dir of ['.vercel_cache', 'node_modules_dev', 'node_modules_prod', 'node_modules', '.nuxt']) {
        const files = await build_utils_1.glob(`**/${dir}/**`, workPath);
        consola_1.default.info(`${Object.keys(files).length} files collected from ${dir}`);
        Object.assign(cache, files);
    }
    utils_1.endStep();
    return cache;
}
exports.default = prepareCache;
